SolrDocument::serialize
SolrDocument::sort
SolrDocument
PHP Manual

# SolrDocument::__set

Adds another field to the document

### Description

public bool SolrDocument::__set ( string `$fieldName` , string `$fieldValue` )

Adds another field to the document. Used to set the fields as new properties.

### Parameters

`fieldName`

  Name of the field.

`fieldValue`

  Field value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.